# Contributing to OpenExcept

We welcome contributions to OpenExcept! This document outlines the process for contributing to this project.

## Code of Conduct

By participating in this project, you agree to abide by our Code of Conduct.

## How to Contribute

1. Fork the repository and create your branch from `main`.
2. Make your changes and ensure the code follows our style guidelines.
3. Add or update tests as necessary.
4. Ensure all tests pass.
5. Update documentation if required.
6. Submit a pull request.

## Pull Request Process

1. Ensure your PR description clearly describes the problem and solution.
2. Include the relevant issue number if applicable.
3. Update the README.md with details of changes to the interface, if any.
4. You may merge the Pull Request once you have the sign-off of two other developers, or if you do not have permission to do that, you may request the second reviewer to merge it for you.

## Reporting Bugs

1. Use the GitHub Issues section to report bugs.
2. Describe the bug in detail, including steps to reproduce.
3. Include system information (OS, Python version, etc.) if relevant.

## Suggesting Enhancements

1. Use GitHub Issues to suggest enhancements.
2. Provide a clear description of the proposed enhancement.
3. Explain why this enhancement would be useful to most users.

## Style Guidelines

1. Follow the existing code style in the project.
2. Use clear, descriptive variable and function names.
3. Comment your code where necessary.
4. Follow PEP 8 guidelines for Python code.

## License

By contributing, you agree that your contributions will be licensed under the project's existing license.

Thank you for contributing to OpenExcept!